nfsstat(8)

NOM
nfsstat - Afficher des statistiques NFS

SYNOPSIS
nfsstat [OPTION]...

DESCRIPTION
La commande nfsstat affiche des statistiques concernant l'activité du client et du serveur NFS.

OPTIONS

-s, --server
    Afficher seulement les informations du côté serveur. Par défaut, les informations concernant à la fois le serveur et le client sont affichées.

-c, --client
    Afficher seulement les informations côté client.

-n, --nfs
    Afficher seulement les statistiques sur NFS. Par défaut, les informations sur les RPC et NFS sont affichées.

-2  Afficher seulement les statistiques sur NFS version 2. Par défaut, seules les informations sur les différentes versions de NFS dont le numéro est différent de zéro sont affichées.

-3  Afficher seulement les statistiques sur NFS version 3. Par défaut, seules les informations sur les différentes versions de NFS dont le numéro est différent de zéro sont affichées.

-4  Afficher seulement les statistiques sur NFS version 4. Par défaut, seules les informations sur les différentes versions de NFS dont le numéro est différent de zéro sont affichées.

-m, --mounts
    Afficher les informations sur chacun des systèmes de fichiers NFS montés.

    Si cette option est utilisée, toutes les autres sont ignorées.

-r, --rpc
    Afficher seulement les statistiques sur les RPC.

-o service
    Afficher les statistiques pour le service indiqué. Ce dernier peut être l'un des suivants :

    nfs Informations sur le protocole NFS, découpées par appel RPC.

    rpc Informations générales sur les RPC.

    net Statistiques de la pile réseau telles que le nombre de paquets reçus, le nombre de connexions TCP, etc.

    fh  Informations sur l'utilisation du cache des descripteurs de fichier du serveur, en particulier le nombre total de recherches et le nombre de réponses trouvées ou absentes du cache.

    rc  Informations sur l'utilisation du cache des réponses aux requêtes, y compris le nombre total de recherches et le nombre de réponses trouvées ou absentes du cache.

    io  Informations sur les statistiques d’E/S du serveur – octets lus et écrits.

    ra  Informations sur l'utilisation du cache de lectures anticipées, y compris sa taille, la profondeur de ses accès cache et le nombre des défauts de cache.

    all Afficher toutes les informations décrites plus haut.

-v, --verbose
    Identique à -o all.

-l, --list
    Afficher les informations sous forme de liste.

-S, --since fichier
    Plutôt qu'imprimer les statistiques actuelles, nfsstat importe les statistiques provenant du fichier et affiche les différences entre celles-ci et les valeurs actuelles. Les fichiers acceptés en entrée peuvent être au format de /proc/net/rpc/nfs (statistiques clientes brutes), /proc/net/rpc/nfsd (statistiques serveur) ou la sortie sauvegardée de nfsstat lui-même (statistiques client et/ou serveur). Toute valeur statistique manquante dans la sauvegarde d'un fichier de sortie de nfsstat est considérée comme égale à zéro.

-Z[intervalle], --sleep=[intervalle]
    Au lieu d’afficher les statistiques actuelles et de quitter immédiatement, nfsstat prend un instantané de ces statistiques et attend de recevoir SIGINT (dans la plupart des cas avec Ctrl-C). À ce moment, il prend un nouvel instantané et affiche les différences entre les deux. Si intervalle est précisé, nfsstat affichera le nombre d'appels à NFS depuis le rapport précédent Les statistiques seront affichés toutes les intervalle secondes.

EXEMPLES

nfsstat -o all -234
    Afficher toutes les informations à propos de toutes les versions de NFS.

nfsstat --verbose -234
    Identique à la commande précédente.

nfsstat -o all
    Afficher toutes les informations à propos des versions de NFS en cours d'utilisation.

nfsstat --nfs --server -3
    Afficher les statistiques pour la version 3 du serveur NFS.

nfsstat -m
    Afficher les informations à propos de tous les systèmes de fichiers NFS montés.

AFFICHAGE
La sortie des Drapeaux de l'option -m est la même que celle que ces drapeaux fournissent avec la commande mount.

FICHIERS

/proc/net/rpc/nfsd
    Interface basée sur procfs pour les statistiques du serveur NFS du noyau.

/proc/net/rpc/nfs
    Interface basée sur procfs pour les statistiques du client NFS du noyau.

/proc/mounts
    Interface basée sur procfs pour les systèmes de fichiers montés.

VOIR AUSSI
rpc.nfsd(8), nfs(5).

BOGUES
La sortie par défaut a changé. Pour obtenir l'ancienne sortie, vous devez utiliser nfsstat --auto -2.

Le rôle des options -v et -a a changé. L'option -a est maintenant réservée pour une future utilisation. -v fait ce que l'option -a faisait et les nouvelles options -[234] remplacent l'option -v.

La section Affichage devrait être plus complète.

D'autres bogues pourront être trouvés ou remontés sur http://nfs.sf.net/.

AUTEUR
Olaf Kirch, <okir@suse.de>

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Sylvain Cherrier <sylvain.cherrier@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Dominique Simen <dominiquesimen@hotmail.com>, Nicolas Sauzède <nsauzede@free.fr>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Denis Mugnier <myou72@orange.fr> et Cédric Boutillier <cedric.boutillier@gmail.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.